.TH "mca_ptl_self_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_self_component_t \- SELF PTL component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_self.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_ptl_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase PTL component \fP"
.ti -1c
.RI "uint32_t \fBself_buf_size\fP"
.br
.RI "\fIthe size of the internal buffer used to pack/unpack the data \fP"
.ti -1c
.RI "uint32_t \fBself_is_non_blocking\fP"
.br
.RI "\fIhow the memcopy operations are done segmented or not \fP"
.ti -1c
.RI "int32_t \fBself_free_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "int32_t \fBself_free_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "int32_t \fBself_free_list_inc\fP"
.br
.RI "\fInumber of elements to alloc when growing free lists \fP"
.ti -1c
.RI "ompi_free_list_t \fBself_send_requests\fP"
.br
.RI "\fIfree list of self send requests -- sendreq + sendfrag \fP"
.ti -1c
.RI "ompi_proc_t * \fBself_local\fP"
.br
.RI "\fIthe self proc instance corresponding to the local process \fP"
.in -1c
.SH "Detailed Description"
.PP 
SELF PTL component. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
